Bug 261995 - In KCategorizedView, home and End keyboard keys should do something
Summary: In KCategorizedView, home and End keyboard keys should do something
Status: CONFIRMED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdeui (show other bugs)
Version: SVN
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
: 271955 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-03 20:45 UTC by Todd
Modified: 2013-05-25 15:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2011-01-03 20:45:19 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

In the Dolphin Icons View, the Home and End arrow keys have no effect.  In both Details and Columns views the Home key moves you to the very beginning of the list, while End moves you to the very end.

If the goal is consistency, then the keys should have the same effect in Icons view.  However, since icons view has rows while the other two do not, perhaps moving to the beginning or end of a row would be better.

Reproducible: Always
Comment 1 Todd 2011-01-03 20:47:38 UTC
It looks like Page Up and Page Down also have no effect, which is also inconsistent with the other views (where these keys move up and down one page, respectively).
Comment 2 Todd 2011-01-03 20:51:41 UTC
It looks like this is only an issue when grouping is enabled.  Otherwise it works fine.
Comment 3 Todd 2011-01-04 08:06:00 UTC
Should this be reassigned to kdelibs, like with bug 152985 vs. 262038 ?
Comment 4 Peter Penz 2011-01-14 21:19:55 UTC
I've reassigned it to kdelibs for KCategorizedView.
Comment 5 Christoph Feck 2011-05-10 13:57:02 UTC
*** Bug 271955 has been marked as a duplicate of this bug. ***
Comment 6 Peter Penz 2011-12-26 21:22:35 UTC
Git commit 38d70aa810f634b24bcfccf1f11377bd2758a43f by Peter Penz.
Committed on 26/12/2011 at 22:16.
Pushed by ppenz into branch 'KDE/4.8'.

Fix keyboard issues when groups are enabled

When groups are enabled in Dolphin the key-up and key-down keys did not behave
consistent in comparison to traditional views or like done in editors.
Related: bug 261995
Related: bug 262038

M  +106  -21   dolphin/src/kitemviews/kitemlistcontroller.cpp
M  +46   -1    dolphin/src/kitemviews/kitemlistcontroller.h
M  +0    -5    dolphin/src/kitemviews/kitemlistview.cpp
M  +0    -9    dolphin/src/kitemviews/kitemlistview.h
M  +0    -5    dolphin/src/kitemviews/kitemlistviewlayouter.cpp
M  +0    -7    dolphin/src/kitemviews/kitemlistviewlayouter_p.h

http://commits.kde.org/kde-baseapps/38d70aa810f634b24bcfccf1f11377bd2758a43f
Comment 7 Peter Penz 2011-12-26 21:23:04 UTC
Git commit b5df860cafe7c1ac66279beccf8eaac412ee336f by Peter Penz.
Committed on 26/12/2011 at 22:16.
Pushed by ppenz into branch 'master'.

Fix keyboard issues when groups are enabled

When groups are enabled in Dolphin the key-up and key-down keys did not behave
consistent in comparison to traditional views or like done in editors.
Related: bug 261995
Related: bug 262038

M  +106  -21   dolphin/src/kitemviews/kitemlistcontroller.cpp
M  +46   -1    dolphin/src/kitemviews/kitemlistcontroller.h
M  +0    -5    dolphin/src/kitemviews/kitemlistview.cpp
M  +0    -9    dolphin/src/kitemviews/kitemlistview.h
M  +0    -5    dolphin/src/kitemviews/kitemlistviewlayouter.cpp
M  +0    -7    dolphin/src/kitemviews/kitemlistviewlayouter_p.h

http://commits.kde.org/kde-baseapps/b5df860cafe7c1ac66279beccf8eaac412ee336f